Page MenuHomePhabricator

Add styling for previous/next in SearchTranslations
Closed, ResolvedPublic

Description

Styling for pagination in SearchTranslations wasn't really done.


Version: master
Severity: normal
URL: https://translatewiki.net/w/i.php?title=Special:SearchTranslations&offset=25&title=Special%3ASearchTranslations&query=test&uselang=en

Details

Reference
bz47920

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:26 AM
bzimport set Reference to bz47920.
bzimport added a subscriber: Unknown Object (MLST).
siebrand created this task.May 1 2013, 8:20 AM

Created attachment 12218
Screenshot of ill styling for pagination links

Steps to reproduce:

  1. Go to URL
  2. Click link "Next results" at the bottom of the search result list
  3. Scroll down to the bottom of the result list

Observed:
I. There are two links: "Previous results" "Next results" and these links do not really stand out compared to for example the "Edit translation" link directly above it.

II. Pagination links are clear and distinguishable from the other links in that area of the page.

Attached:

pr4tiklahoti wrote:

Screenshot of pagination in en.wiki

Screenshot of pagination in en.wiki

Attached:

pr4tiklahoti wrote:

How about having the styling and pagination as it is there on en.wiki? Also, a bar saying 'Showing 1-100 of <XYZ> results' at the top would be great.

Change 195315 had a related patch set uploaded (by AYUSH GARG):
SearchTranslation: Add styling for previous/next in Search Translations

https://gerrit.wikimedia.org/r/195315

AYUSH added a subscriber: AYUSH.Mar 9 2015, 6:10 PM

Change 196386 had a related patch set uploaded (by AYUSH GARG):
SearchTranslation: Add styling for previous/next links

https://gerrit.wikimedia.org/r/196386

Change 198730 had a related patch set uploaded (by Nemo bis):
Add styling for previous/next in SearchTranslations

https://gerrit.wikimedia.org/r/198730

Change 198730 had a related patch set uploaded (by Nemo bis):
Add styling for previous/next in SearchTranslations

https://gerrit.wikimedia.org/r/198730

Change 196386 merged by jenkins-bot:
SearchTranslation: Add styling for previous/next links

https://gerrit.wikimedia.org/r/196386

Nikerabbit closed this task as Resolved.Apr 2 2015, 6:08 AM
Nikerabbit claimed this task.
Nikerabbit reassigned this task from Nikerabbit to AYUSH.
Nikerabbit removed a project: Patch-For-Review.
Nikerabbit set Security to None.

Change 195315 abandoned by AYUSH GARG:
SearchTranslation: changing the styling of pagination links

Reason:
not upto the requirement.

https://gerrit.wikimedia.org/r/195315

Change 198730 abandoned by Nikerabbit:
Add styling for previous/next in SearchTranslations

Reason:
Issue has been fixed already.

https://gerrit.wikimedia.org/r/198730